#ifndef _LCD_H

	#define _LCD_H

	#include <stdlib.h>
	//#include <string.h>
	#include <stdio.h>
	#include <avr/io.h>
	#include <util/delay.h>	

	//Porteinstellungen
	#define LCD_PORT	PORTC
	#define LCD_DIR		DDRC
	#define LCD_PIN		PINC

	#define LCD_D4		PC0
	#define LCD_D5		PC1
	#define LCD_D6		PC2
	#define LCD_D7		PC3
	#define LCD_RS		PC4
	#define LCD_RW		PC5
	#define LCD_EN		PC6

	#define LCD_PIN_D4		PINC0
	#define LCD_PIN_D5		PINC1
	#define LCD_PIN_D6		PINC2
	#define LCD_PIN_D7		PINC3
	#define LCD_PIN_RS		PINC4
	#define LCD_PIN_RW		PINC5
	#define LCD_PIN_EN		PINC6

	#define DIR_D4		DDC0
	#define DIR_D5		DDC1
	#define DIR_D6		DDC2
	#define DIR_D7		DDC3
	#define DIR_RS		DDC4
	#define DIR_RW		DDC5
	#define DIR_EN		DDC6

	#define LCD_LINES 4
	#define LCD_CHARS 20
	#define KOMMA_POS 1
	#define KOMMA_NEG 0

	#define DATEN	1
	#define BEFEHL	0

	void lcd_init(void);
	void lcd_toggle_e(void);

	void zfanpassen(char *str, int laenge, int groesse);	
	void lcd_pos(unsigned char zeile,unsigned char position);	
	void inttostring(int zahl, char *str,int *laenge, int komma);	

	void lcd_putc(unsigned char data_type, unsigned char data_byte);
	void lcd_puts(const char *s );	//	(char zeile[LCD_CHARS],int laenge);
	void lcd_putc_pos(char data,unsigned char zeile, unsigned char position);
	void lcd_puts_pos(const char *s,unsigned char zeile, unsigned char position);
	void lcd_w84busy(void);
	void lcd_erase(void);

#endif	
